package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag986;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT986Creator;

/**
 * @author 
 * @date 2023-03-08
 */
public class Tag59Creator extends AbsTagCreate {

     private MT986Creator mt986Creator;

    public Tag59Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt986Creator= (MT986Creator) absMTCreator;
    }

    public void creator()
    {
        String tag59Value = mt986Creator.getEnquiredParty();
        mt986Creator.set("59", tag59Value);
    }
}

